Loading...
Searching...
No Matches
gtsam::EliminationTraits< SymbolicFactorGraph > Struct Reference

## Static Public Member Functions

static std::pair< boost::shared_ptr< ConditionalType >, boost::shared_ptr< FactorType > > | DefaultEliminate (const FactorGraphType &factors, const Ordering &keys)
| The default dense elimination function.
static Ordering | DefaultOrderingFunc (const FactorGraphType &graph, boost::optional< const VariableIndex & > variableIndex)
| The default ordering generation function.

## Public Types

typedef SymbolicFactor | FactorType
| Type of factors in factor graph.
typedef SymbolicFactorGraph | FactorGraphType
| Type of the factor graph (e.g. GaussianFactorGraph).
typedef SymbolicConditional | ConditionalType
| Type of conditionals from elimination.
typedef SymbolicBayesNet | BayesNetType
| Type of Bayes net from sequential elimination.
typedef SymbolicEliminationTree | EliminationTreeType
| Type of elimination tree.
typedef SymbolicBayesTree | BayesTreeType
| Type of Bayes tree.
typedef SymbolicJunctionTree | JunctionTreeType
| Type of Junction tree.

The documentation for this struct was generated from the following file:

- /build/gtsam-gchP9J/gtsam-4.2.2+dfsg/gtsam/symbolic/SymbolicFactorGraph.h